# Menu

## Props

<!-- @vuese:Menu:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|etat|Permet de déterminer si on est dans le mode mise à jour ou pas|—|`false`|-|
|variante|Booléen pour savoir si la variante du menu Banque/Panier est active ou pas|—|`false`|-|
|auteur|Auteur connecté|—|`false`|-|
|recalculerNotif|Booléen permettant le recalcul des notifications|—|`false`|-|
|nouveauTitre|Variable permettant d'afficher un titre particulier en haut de la page|—|`false`|-|

<!-- @vuese:Menu:props:end -->


## Events

<!-- @vuese:Menu:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|menu_choisi|-|-|
|darkTheme|-|-|

<!-- @vuese:Menu:events:end -->


## Methods

<!-- @vuese:Menu:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|choixMenuAnnexe|Gestion du clic sur un des éléments du menu 'auteur' (en haut à droite)|-|
|evaluations|Gestion du clic sur le menu des évaluations. Sera, a terme, intégré dans choisMenuAnnexe.|-|
|choixIconeNotification|Gestion du clic sur l'icone de notification|-|
|publicationsRecues|Fonction de calcul de présence de notification dans le cadre des mises à jour recues (de contenu perso ou de contenu tiers)|-|
|publicationsProposees|Fonction de calcul de présence de notification dans le cadre des mises à jour proposées (dont l'état n'est plus en cours)|-|
|majTiers|(A construire) Fonction de calcul du nombre de maj tiers disponibles|-|
|changerStyle|Fonction qui petmet d'affecter les bonnes marges pour le menu d'en haut à droite|-|
|onSwitched|Dès que l'interrupteur pour le mode sombre est enclenché, on adapte l'affichage et on propage l'information|-|

<!-- @vuese:Menu:methods:end -->


## Watch

<!-- @vuese:Menu:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|auteur|Dès que l'auteur est trasmis à cette page, on calcule ses opportunités de maj et on configure la notification en fonction|-|
|recalculerNotif|Recalcul des opportunités de maj et on configure la notification en fonction après action dans le menu maj (fonctionne actuellement pas)|-|
|variante|permet de récupérer l'activation / désactivation de la variante|-|
|nouveauTitre|Si besoin, change le titre de la page|-|
|etat|Si on clique sur manuel on desactive le 'menu annexe'|-|

<!-- @vuese:Menu:watch:end -->


